<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Student Registration</title>

  <!-- CSS only -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body class="container">

<h1>Student Registration</h1>

<a th:href="@{/}">Home</a>

<!--<form th:action="@{/insert}" method="post">-->

<!--  <label for="name-input">Name: </label>-->
<!--  <input type="text" id="name-input" placeholder="student name" th:field="${newStudent.name}">-->

<!--  <p th:if="${#fields.hasErrors('newStudent.name')}" th:errors="${newStudent.name}"-->
<!--     style="color:red;"-->
<!--  ></p>-->

<!--  <label for="email-input">Email: </label>-->
<!--  <input type="text" id="email-input" placeholder="student email" th:field="${newStudent.email}">-->
<!--  <p th:if="${#fields.hasErrors('newStudent.email')}" th:errors="${newStudent.email}"-->
<!--     style="color:red"></p>-->
<!--  <label for="classroom-input">Classroom: </label>-->
<!--  <input type="text" id="classroom-input" placeholder="student classroom" th:field="${newStudent.classroom}">-->
<!--  <p th:if="${#fields.hasErrors('newStudent.classroom')}" th:errors="${newStudent.classroom}"-->
<!--     style="color:red"></p>-->
<!--  <input type="submit" value="Register Student">-->
<!--</form>-->


<form th:action="@{/insert}" method="post" class="container" enctype="multipart/form-data">

  <!-- upload file -->

  <div>
    <img id="output" width="200px" height="200px" alt="">
  </div>
  <div class="form-group">
    <label for="exampleInputPassword10">Student Profile </label>
    <input type="file" onchange="loadFile(event)" name="file" class="form-control" id="exampleInputPassword10"
           placeholder="Enter student name">
  </div>

  <div class="form-group">
    <label for="exampleInputPassword1">Name: </label>
    <input th:field="${newStudent.name}" type="text" class="form-control" id="exampleInputPassword1"
           placeholder="Enter student name">
  </div>

  <p th:if="${#fields.hasErrors('newStudent.name')}" th:errors="${newStudent.name}"
     style="color:red;"></p>

  <div class="form-group">
    <label for="exampleInputEmail1">Email: </label>
    <input th:field="${newStudent.email}" type="text" class="form-control" id="exampleInputEmail1"
           aria-describedby="emailHelp" placeholder="Enter email">
  </div>

  <p th:if="${#fields.hasErrors('newStudent.email')}" th:errors="${newStudent.email}"
     style="color:red;"></p>
  <div class="form-group">
    <label for="classroom-input">Classroom: </label>
    <input th:field="${newStudent.classroom}" type="text" class="form-control" id="classroom-input"
           aria-describedby="emailHelp" placeholder="Enter classroom">
  </div>

  <p th:if="${#fields.hasErrors('newStudent.classroom')}" th:errors="${newStudent.classroom}"
     style="color:red;"></p>

  <button type="submit" class="btn btn-primary">Submit</button>
</form>

<script>
    const loadFile = function (event) {
        const image = document.getElementById('output');
        image.src = URL.createObjectURL(event.target.files[0]);
    };
</script>
</body>
</html>